Board index FlightGear Support Compiling

Compiling FG for OpenSuse...fatal error: qquickflickable_p.h

Building FlightGear from source, and in the need for help?

Compiling FG for OpenSuse...fatal error: qquickflickable_p.h

Postby Ovazor » Thu Oct 12, 2017 5:25 pm

Hello,

I tried to compile the latest version I pulled this evening. When trying to build the cmake is succesfull, but FG fails with

Code: Select all
   [ 37%] Building CXX object src/GUI/CMakeFiles/fglauncher.dir/FlickableExtentQuery.cxx.o
/usr/local/src/flightgear/fg_src/src/GUI/FlickableExtentQuery.cxx:3:47: fatal error: QtQuick/private/qquickflickable_p.h: No such file or directory
 #include <QtQuick/private/qquickflickable_p.h>
                                               ^
compilation terminated. 


Am I missing some dependency? I have installed all QtQuick libraries the OpenSUse ships with, and I have compiled the FG myself for years, so something has changed lately.
Ovazor
 
Posts: 35
Joined: Wed Feb 12, 2014 6:53 am
Location: Finland
Callsign: OH-OVA
Version: 2018.2.0
OS: OpenSUSE LEap 15.0

Re: Compiling FG for OpenSuse...fatal error: qquickflickable

Postby Hooray » Thu Oct 12, 2017 5:44 pm

it's best to get in touch via the developers mailing list - most of the Qt stuff is fairly recent work, and as such likely to be "work in progress".
Thus, your best chance of getting such issues fixed is to report them in a timely manner using the appropriate channels - i.e. the devel mailing list or the issue tracker.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11186
Joined: Tue Mar 25, 2008 8:40 am

Re: Compiling FG for OpenSuse...fatal error: qquickflickable

Postby Ovazor » Thu Oct 12, 2017 5:59 pm

Ok, I just wanted to make sure it's not that I am just an update short on some library or other before reporting it.
Ovazor
 
Posts: 35
Joined: Wed Feb 12, 2014 6:53 am
Location: Finland
Callsign: OH-OVA
Version: 2018.2.0
OS: OpenSUSE LEap 15.0

Re: Compiling FG for OpenSuse...fatal error: qquickflickable

Postby Hooray » Thu Oct 12, 2017 6:14 pm

It's probably not your fault - according to the archives, there were a number of Qt related issues reported recently, and that's in line with some of the Qt related announcements and commits made recently.
Speaking in general, Qt5 is however intended to remain optional - so if you can live without the launcher/QtQuick UI, you could try building with Qt disabled - that is, if you cannot get this solved obviously.
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11186
Joined: Tue Mar 25, 2008 8:40 am


Return to Compiling

Who is online

Users browsing this forum: No registered users and 2 guests